Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web
Class RequestHandler

    java.lang.Object
      |
      +--com.bea.web.RequestHandler

Direct Known Subclasses:
  AbstractDesignTimeRequestHandler

public class RequestHandler
extends java.lang.Object
implements java.io.Serializable

A base class for developing HTML form handlers. The controller servlet com.bea.web.ControllerServlet can be configured to delegate the processing of an HTML form to this request handler.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`RequestHandler()`

Method Summary
`protected void` | `clear()`
`boolean` | `containsField(java.lang.String strField)`
`void` | `debug()`
`java.lang.String` | `get(java.lang.String strKey)`
`java.lang.String` | `getAdditionalExceptionMessages(java.lang.Throwable t)` A method that gets called when the controller servlet is generating an error message from an exception.
`java.lang.String` | `getContent(java.lang.String strContentKey)`
`java.lang.String` | `getContent(java.lang.String strContentKey, java.lang.Object objInfo)`
`java.lang.String` | `getContent(java.lang.String strContentKey, java.lang.Object[] aObjInfo)`
`FormFieldPair` | `getFormFieldPair(java.lang.String strKey)`
`java.lang.String` | `getLogConfigFile()`
`LogContext` | `getLogContext()`
`ILogger` | `getLogger()`
`java.lang.String` | `getMessageBundleBase()`
`java.util.ResourceBundle` | `getResourceBundle()`
`UserAgent` | `getUserAgent()`
`java.lang.String` | `getUserName()`
`protected void` | `init(javax.servlet.ServletContext servletContext)` By default, this method does nothing...however, subclasses can override this method to do any initialization using Servlet initial parameters.
`java.lang.String` | `read(java.lang.String strKey, javax.servlet.http.HttpServletRequest request)`
`void` | `remove(java.lang.String strKey)`
`void` | `set(java.lang.String strKey, java.lang.String strValue, java.lang.String strError)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setLogConfigFile(java.lang.String strLogConfigFile)`
`void` | `setLogContextName(java.lang.String strLogContextName)`
`void` | `setMessageBundleBase(java.lang.String strMessageBundleBase)`
`void` | `setUserAgent(UserAgent userAgent)`
`void` | `setUserName(java.lang.String strUserName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestHandler

    public RequestHandler()

Method Detail

### getAdditionalExceptionMessages

    public java.lang.String getAdditionalExceptionMessages(java.lang.Throwable t)

  A method that gets called when the controller servlet is generating an error message from an exception. It allows sub-classes to extract any linked exceptions from `t` and include their message on the message displayed to the user.

### setUserName

    public void setUserName(java.lang.String strUserName)

### getUserName

    public java.lang.String getUserName()

### getUserAgent

    public UserAgent getUserAgent()

### setUserAgent

    public void setUserAgent(UserAgent userAgent)

### setMessageBundleBase

    public void setMessageBundleBase(java.lang.String strMessageBundleBase)

### getMessageBundleBase

    public java.lang.String getMessageBundleBase()

### setLogConfigFile

    public void setLogConfigFile(java.lang.String strLogConfigFile)

### getLogConfigFile

    public java.lang.String getLogConfigFile()

### setLocale

    public void setLocale(java.util.Locale locale)

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

### getLogger

    public ILogger getLogger()

### getLogContext

    public LogContext getLogContext()

### setLogContextName

    public void setLogContextName(java.lang.String strLogContextName)

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### debug

    public void debug()

### getFormFieldPair

    public FormFieldPair getFormFieldPair(java.lang.String strKey)

### getContent

    public java.lang.String getContent(java.lang.String strContentKey)

### getContent

    public java.lang.String getContent(java.lang.String strContentKey,
                                       java.lang.Object objInfo)

### getContent

    public java.lang.String getContent(java.lang.String strContentKey,
                                       java.lang.Object[] aObjInfo)

### containsField

    public boolean containsField(java.lang.String strField)

### get

    public java.lang.String get(java.lang.String strKey)

### read

    public java.lang.String read(java.lang.String strKey,
                                 javax.servlet.http.HttpServletRequest request)

### remove

    public void remove(java.lang.String strKey)

### set

    public void set(java.lang.String strKey,
                    java.lang.String strValue,
                    java.lang.String strError)

### clear

    protected void clear()

### init

    protected void init(javax.servlet.ServletContext servletContext)
                 throws java.lang.Exception

  By default, this method does nothing...however, subclasses can override this method to do any initialization using Servlet initial parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)